Bug 883479 - haskell-platform-2012.4.0.0-19.fc19 fails to build on s390(x)
haskell-platform-2012.4.0.0-19.fc19 fails to build on s390(x)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghc-vector (Show other bugs)
rawhide
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-04 12:08 EST by Dan Horák
Modified: 2013-01-19 22:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 18:50:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2012-12-04 12:08:01 EST
haskell-platform-2012.4.0.0-19.fc19 fails to build on s390(x) with

...
+ ./Setup configure --prefix=/usr --libdir=/usr/lib --docdir=/usr/share/doc/haskell-platform-2012.4.0.0 '--libsubdir=$compiler/$pkgid' --ghc --user -p --docdir=/usr/share/doc/ghc-vector-0.10.0.1 --htmldir=/usr/share/doc/ghc/html/libraries/vector-0.10.0.1
Configuring vector-0.10.0.1...
+ '[' -x Setup ']'
+ ./Setup build
Building vector-0.10.0.1...
Preprocessing library vector-0.10.0.1...
[ 1 of 19] Compiling Data.Vector.Storable.Internal ( Data/Vector/Storable/Internal.hs, dist/build/Data/Vector/Storable/Internal.o )
[ 2 of 19] Compiling Data.Vector.Fusion.Util ( Data/Vector/Fusion/Util.hs, dist/build/Data/Vector/Fusion/Util.o )
[ 3 of 19] Compiling Data.Vector.Fusion.Stream.Size ( Data/Vector/Fusion/Stream/Size.hs, dist/build/Data/Vector/Fusion/Stream/Size.o )
Data/Vector/Fusion/Stream/Size.hs:25:10:
    Warning: No explicit method nor default method for `*'
    In the instance declaration for `Num Size'
Data/Vector/Fusion/Stream/Size.hs:25:10:
    Warning: No explicit method nor default method for `abs'
    In the instance declaration for `Num Size'
Data/Vector/Fusion/Stream/Size.hs:25:10:
    Warning: No explicit method nor default method for `signum'
    In the instance declaration for `Num Size'
[ 4 of 19] Compiling Data.Vector.Internal.Check ( Data/Vector/Internal/Check.hs, dist/build/Data/Vector/Internal/Check.o )
[ 5 of 19] Compiling Data.Vector.Fusion.Stream.Monadic ( Data/Vector/Fusion/Stream/Monadic.hs, dist/build/Data/Vector/Fusion/Stream/Monadic.o )
ghc: panic! (the 'impossible' happened)
  (GHC version 7.4.2 for s390-ibm-linux):
	Cant do annotations without GHCi
    {Data/Vector/Fusion/Stream/Monadic.hs:104:19-33}
    base:GHC.Exts.ForceSpecConstr{d r1OQ}
Please report this as a GHC bug:  http://www.haskell.org/ghc/reportabug
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.Ot3DyH (%build)
    Bad exit status from /var/tmp/rpm-tmp.Ot3DyH (%build)

please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=878859 for mroe details
Comment 1 Jens Petersen 2012-12-04 23:59:52 EST
Thanks for reporting.

Can you try haskell-platform-2012.4.0.0-20.fc19 which addresses this.

(I tried a scratch build but it failed to setup a buildroot
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=880175 )
Comment 2 Dan Horák 2012-12-05 02:31:27 EST
(In reply to comment #1)
> (I tried a scratch build but it failed to setup a buildroot
> http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=880175 )

I'll report back after I fix the buildroot, seems Spot applied a back compatibility hack to new ppl that works only on x86_64.
Comment 3 Dan Horák 2012-12-05 06:05:28 EST
buildroot is fixed now, but it fails very quickly -
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=880553 - a bad condition I think
Comment 4 Jens Petersen 2012-12-05 23:44:27 EST
Thanks for testing.

Okay I think I have better fix coming: I finally patched vector to build on all archs...
Comment 5 Fedora Update System 2012-12-06 00:51:27 EST
ghc-vector-0.9.1-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-vector-0.9.1-6.fc17
Comment 6 Fedora Update System 2012-12-06 00:51:37 EST
ghc-vector-0.9.1-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-vector-0.9.1-6.fc18
Comment 7 Fedora Update System 2012-12-06 00:51:47 EST
ghc-vector-0.7.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-vector-0.7.1-3.fc16
Comment 8 Jens Petersen 2012-12-06 03:18:52 EST
Hopefully haskell-platform-2012.4.0.0-21.fc19 will build everywhere after latest ghc-vector.
Comment 9 Dan Horák 2012-12-06 07:50:25 EST
both ghc-vector and haskell-platform are built, thanks

http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=148715
http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=148716
Comment 10 Fedora Update System 2012-12-06 15:16:17 EST
Package ghc-vector-0.9.1-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-vector-0.9.1-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19864/ghc-vector-0.9.1-7.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-12-12 04:28:52 EST
ghc-vector-0.9.1-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-vector-0.9.1-8.fc18
Comment 12 Fedora Update System 2013-01-04 03:44:40 EST
ghc-vector-0.9.1-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-vector-0.9.1-8.fc17
Comment 13 Fedora Update System 2013-01-04 04:40:57 EST
ghc-vector-0.7.1-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-vector-0.7.1-5.fc16
Comment 14 Fedora Update System 2013-01-11 18:50:19 EST
ghc-vector-0.9.1-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-01-16 14:46:53 EST
ghc-vector-0.9.1-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-01-19 22:02:52 EST
ghc-vector-0.7.1-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.